Bug 241196 - security/p5-openxpki, security/p5-openxpki-i18n: Update to 2.5.5
Summary: security/p5-openxpki, security/p5-openxpki-i18n: Update to 2.5.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL: https://github.com/openxpki/openxpki
Keywords:
Depends on: 241195
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-11 12:36 UTC by Sergei Vyshenski
Modified: 2019-11-03 11:49 UTC (History)
2 users (show)

See Also:


Attachments
patch to update the port (24.28 KB, patch)
2019-10-11 12:36 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (25.37 KB, patch)
2019-11-03 11:33 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2019-10-11 12:36:57 UTC
Created attachment 208245 [details]
patch to update the port

- Update of 2 ports sharing the same distribution:
     2.2.3 --> 2.5.5
- Changes: 
	https://github.com/openxpki/openxpki/compare/v2.2.3...v2.5.5
- now builds fine with openssl 1.0 and 1.1
- switch SCEP support from ancient tool "openca-tools-forked" 
	to newly coded tool "p5-Crypt-LibSCEP", which supports openssl-1.1.
- "portlint -AC" gives non-relevant warnings.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- testport of poudriere 3.3.2_1 runs ok:
	at 12.0-RELEASE-p10-amd64, pkg 1.12.0, perl 5.30.0,
		1) with DEFAULT_VERSIONS+= ssl=base
		2) with DEFAULT_VERSIONS+= ssl=openssl
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Built-in perl tests mostly fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.
Comment 1 Sergei Vyshenski 2019-10-17 12:35:09 UTC
Just in case, at the moment 2.5.5 is the latest stable release of openxpki.
Comment 2 Tobias C. Berner freebsd_committer 2019-11-02 14:11:25 UTC
Changes to security/p5-openxpki-i18n are missing.

mfg Tobias
Comment 3 Sergei Vyshenski 2019-11-03 11:33:17 UTC
Created attachment 208817 [details]
patch to update two ports

New patch updates both ports. Sorry for misprint.
Comment 4 Tobias C. Berner freebsd_committer 2019-11-03 11:49:05 UTC
Committed in r516409.
Thanks.